clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::Relation Struct Reference

Represents a relation between two symbols. More...

`#include <Relation.h>`

Collaboration diagram for clang::clangd::Relation:
[legend]

## Public Member Functions
bool | operator== (const Relation &Other) const
bool | operator< (const Relation &Other) const

## Public Attributes
SymbolID | Subject
RelationKind | Predicate
SymbolID | Object

## Detailed Description

Represents a relation between two symbols.

For an example "A is a base class of B" may be represented as { Subject = A, Predicate = BaseOf, Object = B }.

Definition at line 29 of file Relation.h.

## Member Function Documentation

## ◆ operator<()

bool clang::clangd::Relation::operator< | ( | const Relation & | Other | ) | const
| inline

Definition at line 39 of file Relation.h.

References Object, Predicate, and Subject.

## ◆ operator==()

bool clang::clangd::Relation::operator== | ( | const Relation & | Other | ) | const
| inline

Definition at line 34 of file Relation.h.

References Object, Predicate, and Subject.

## Member Data Documentation

## ◆ Object

SymbolID clang::clangd::Relation::Object

Definition at line 32 of file Relation.h.

Referenced by llvm::yaml::MappingTraits< Relation >::mapping(), operator<(), and operator==().

## ◆ Predicate

RelationKind clang::clangd::Relation::Predicate

Definition at line 31 of file Relation.h.

Referenced by clang::clangd::RelationSlab::lookup(), llvm::yaml::MappingTraits< Relation >::mapping(), operator<(), and operator==().

## ◆ Subject

SymbolID clang::clangd::Relation::Subject

Definition at line 30 of file Relation.h.

Referenced by clang::clangd::RelationSlab::lookup(), llvm::yaml::MappingTraits< Relation >::mapping(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- Relation.h